Merge ~morphis/snappy-hwe-snaps/+git/wifi-ap:f/cleanup-and-run-tests into ~snappy-hwe-team/snappy-hwe-snaps/+git/wifi-ap:master

Proposed by Simon Fels
Status: Merged
Approved by: Matteo Croce
Approved revision: 968b80c6aa30d02d9ea958a4b656c679e0a8f6d5
Merged at revision: 02cf27125fd1e2148a861b15204ed8b1e2a929f1
Proposed branch: ~morphis/snappy-hwe-snaps/+git/wifi-ap:f/cleanup-and-run-tests
Merge into: ~snappy-hwe-team/snappy-hwe-snaps/+git/wifi-ap:master
Diff against target: 652 lines (+118/-109)
4 files modified
dev/null (+0/-25)
run-tests.sh (+54/-59)
snap/hooks/configure (+47/-0)
snapcraft.yaml (+17/-25)
Reviewer Review Type Date Requested Status
Matteo Croce (community) Approve
System Enablement Bot continuous-integration Approve
Review via email: mp+318757@code.launchpad.net

Description of the change

* Run our unit tests in our snap build
* Restructure building of our go parts inside snapcraft
* Move configure hook below the snap/hooks directory
* Use prime statement over deprecated snap one
* Move logo into the new location advertised by snapcraft
* Don't fetch Go sources from archive anymore now that out builder supports it
* Use new run-tests.sh template script

To post a comment you must log in.
Revision history for this message
System Enablement Bot (system-enablement-ci-bot) wrote :
review: Approve (continuous-integration)
Revision history for this message
Matteo Croce (teknoraver) :
review: Approve

Preview Diff

[H/L] Next/Prev Comment, [J/K] Next/Prev File, [N/P] Next/Prev Hunk
1diff --git a/hooks/configure b/hooks/configure
2deleted file mode 100755
3index 6b984cd..0000000
4--- a/hooks/configure
5+++ /dev/null
6@@ -1,47 +0,0 @@
7-#!/bin/sh
8-#
9-# Copyright (C) 2017 Canonical Ltd
10-#
11-# This program is free software: you can redistribute it and/or modify
12-# it under the terms of the GNU General Public License version 3 as
13-# published by the Free Software Foundation.
14-#
15-# This program is distributed in the hope that it will be useful,
16-# but WITHOUT ANY WARRANTY; without even the implied warranty of
17-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
18-# GNU General Public License for more details.
19-#
20-# You should have received a copy of the GNU General Public License
21-# along with this program. If not, see <http://www.gnu.org/licenses/>.
22-
23-set -x
24-
25-# The 'automatic-setup.disabled' option is only meant to be used from
26-# a gadget snap to prevent the wizard from running when the snap is
27-# being installed. As the configure hook will be called before the
28-# services are being started we can easily create an empty
29-# configuration to fall back to the default one for everything.
30-value=`snapctl get automatic-setup.disable`
31-if [ -n "$value" ]; then
32- case "$value" in
33- true)
34- touch $SNAP_COMMON/.block_auto_wizard
35- ;;
36- false)
37- rm $SNAP_COMMON/.block_auto_wizard || true
38- ;;
39- *)
40- echo "ERROR: invalid value '$value' provided for automatic-setup.disable"
41- exit 1
42- esac
43-else
44- # If no value provided set up our default
45- snapctl set automatic-setup.disable=false
46-fi
47-
48-# If we haven't marked ourself as setup yet after the snap was installed
49-# we do this now so that the already started management service can
50-# continue doing its job.
51-if [ ! -e $SNAP_COMMON/.setup_done ]; then
52- touch $SNAP_COMMON/.setup_done
53-fi
54diff --git a/parts/plugins/x-go.py b/parts/plugins/x-go.py
55deleted file mode 100644
56index 2211de7..0000000
57--- a/parts/plugins/x-go.py
58+++ /dev/null
59@@ -1,44 +0,0 @@
60-# -*- Mode:Python; indent-tabs-mode:nil; tab-width:4 -*-
61-#
62-# Copyright (C) 2015, 2016 Canonical Ltd
63-#
64-# This program is free software: you can redistribute it and/or modify
65-# it under the terms of the GNU General Public License version 3 as
66-# published by the Free Software Foundation.
67-#
68-# This program is distributed in the hope that it will be useful,
69-# but WITHOUT ANY WARRANTY; without even the implied warranty of
70-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
71-# GNU General Public License for more details.
72-#
73-# You should have received a copy of the GNU General Public License
74-# along with this program. If not, see <http://www.gnu.org/licenses/>.
75-
76-import os
77-
78-import snapcraft
79-import snapcraft.plugins.go
80-
81-DEBIAN_GOCODE_SRC_PATH = "/usr/share/gocode/src"
82-
83-class GoPlugin(snapcraft.plugins.go.GoPlugin):
84- def pull(self):
85- # Skip the pull step from GoPlugin here as it would repeat 90% of what
86- # we're doing here and will only conflict.
87- snapcraft.BasePlugin.pull(self)
88- os.makedirs(self._gopath_src, exist_ok=True)
89-
90- if self.options.source:
91- go_package = self._get_local_go_package()
92- go_package_path = os.path.join(self._gopath_src, go_package)
93- if os.path.islink(go_package_path):
94- os.unlink(go_package_path)
95- os.makedirs(os.path.dirname(go_package_path), exist_ok=True)
96- os.symlink(self.sourcedir, go_package_path)
97- # We can't just add the gocode directory to GOPATH as go
98- # doesn't like this. Instead we're symlinking the necessary
99- # subdirectories from the gocode directory into our already
100- # existing GOPATH.
101- for dir in os.listdir(DEBIAN_GOCODE_SRC_PATH):
102- os.symlink(os.path.join(DEBIAN_GOCODE_SRC_PATH, dir),
103- os.path.join(self._gopath_src, dir))
104diff --git a/run-tests.sh b/run-tests.sh
105index e234fc2..0b0679d 100755
106--- a/run-tests.sh
107+++ b/run-tests.sh
108@@ -1,4 +1,4 @@
109-#!/bin/bash
110+#!/bin/sh
111 #
112 # Copyright (C) 2016 Canonical Ltd
113 #
114@@ -16,69 +16,64 @@
115
116 set -e
117
118-image_name=ubuntu-core-16.img
119-channel=candidate
120-spread_opts=
121-force_new_image=0
122-test_from_channel=0
123+TESTS_EXTRAS_URL="https://git.launchpad.net/~snappy-hwe-team/snappy-hwe-snaps/+git/tests-extras"
124+TESTS_EXTRAS_PATH=".tests-extras"
125
126+# Display help.
127+# This has to be in sync with the tests-extras/test-runner.sh script
128+# functionalities as the parameters to this one are passed directly there
129+# this function will quit the script because of the 'exec' keyword
130 show_help() {
131- echo "Usage: run-tests.sh [OPTIONS]"
132- echo
133- echo "optional arguments:"
134- echo " --help Show this help message and exit"
135- echo " --channel Select another channel to build the base image from (default: $channel)"
136- echo " --debug Enable verbose debugging output"
137- echo " --test-from-channel Pull network-manager snap from the specified channel instead of building it from source"
138- echo " --force-new-image Force generating a new image used for testing"
139+ exec cat <<'EOF'
140+Usage: run-tests.sh [OPTIONS]
141+
142+This is fetch & forget script and what it does is to fetch the
143+tests-extras repository and execute the run-tests.sh script from
144+there passing arguments as-is.
145+
146+optional arguments:
147+ --help Show this help message and exit
148+ --channel Select another channel to build the base image from (default: stable)
149+ --snap Extra snap to install
150+ --debug Enable verbose debugging output
151+ --test-from-channel Pull network-manager snap from the specified channel instead of building it from source
152+ --force-new-image Force generating a new image used for testing
153+EOF
154 }
155
156-while [ -n "$1" ]; do
157- case "$1" in
158- --help)
159- show_help
160- exit
161- ;;
162- --channel=*)
163- channel=${1#*=}
164- shift
165- ;;
166- --test-from-channel)
167- test_from_channel=1
168- shift
169- ;;
170- --debug)
171- spread_opts="$spread_opts -vv -debug"
172- shift
173- ;;
174- --force-new-image)
175- force_new_image=1
176- shift
177- ;;
178- *)
179- echo "Unknown command: $1"
180- exit 1
181- ;;
182- esac
183-done
184+# Clone the tests-extras repository
185+clone_tests_extras() {
186+ echo "INFO: Fetching tests-extras scripts into $TESTS_EXTRAS_PATH ..."
187+ git clone -b master $TESTS_EXTRAS_URL $TESTS_EXTRAS_PATH >/dev/null 2>&1
188+ if [ $? -ne 0 ]; then
189+ echo "ERROR: Failed to fetch the $TESTS_EXTRAS_URL repo, exiting.."
190+ exit 1
191+ fi
192+}
193
194-SPREAD_QEMU_PATH="$HOME/.spread/qemu"
195-if [ `which spread` = /snap/bin/spread ] ; then
196- current_version=`readlink /snap/spread/current`
197- SPREAD_QEMU_PATH="$HOME/snap/spread/$current_version/.spread/qemu/"
198-fi
199+# Make sure the already cloned tests-extras repository is in a known and update
200+# state before it is going to be used.
201+restore_and_update_tests_extras() {
202+ echo "INFO: Restoring and updating $TESTS_EXTRAS_PATH"
203+ cd $TESTS_EXTRAS_PATH && git reset --hard && git clean -dfx && git pull
204+ cd -
205+}
206
207-# Make sure we have a base image we use for testing
208-if [ ! -e $SPREAD_QEMU_PATH/$image_name ] || [ $force_new_image -eq 1 ] ; then
209- echo "INFO: Creating new qemu test image ..."
210- (cd tests/image ; sudo ./create-image.sh $channel)
211- mkdir -p $SPREAD_QEMU_PATH
212- mv -f tests/image/ubuntu-core-16.img $SPREAD_QEMU_PATH/$image_name
213-fi
214+# ==============================================================================
215+# This is fetch & forget script and what it does is to fetch the tests-extras
216+# repo and execute the run-tests.sh script from there passing arguments as-is.
217+#
218+# The tests-extras repository ends up checked out in the snap tree but as a
219+# hidden directory which is re-used since then.
220
221-# We currently only run spread tests but we could do other things
222-# here as well like running our snap-lintian tool etc.
223-if [ $test_from_channel -eq 1 ] ; then
224- export SNAP_CHANNEL=$channel
225+# Display help w/o fetching anything and exit
226+[ "$1" = "--help" ] && show_help
227+
228+if [ -d "$TESTS_EXTRAS_PATH" ]; then
229+ restore_and_update_tests_extras
230+else
231+ clone_tests_extras
232 fi
233-spread $spread_opts
234+
235+echo "INFO: Executing tests runner"
236+cd $TESTS_EXTRAS_PATH && ./tests-runner.sh "$@"
237diff --git a/setup/gui/icon.png b/setup/gui/icon.png
238deleted file mode 100644
239index caa06d1..0000000
240Binary files a/setup/gui/icon.png and /dev/null differ
241diff --git a/snap/gui/icon.png b/snap/gui/icon.png
242new file mode 100644
243index 0000000..caa06d1
244Binary files /dev/null and b/snap/gui/icon.png differ
245diff --git a/snap/hooks/configure b/snap/hooks/configure
246new file mode 100755
247index 0000000..6b984cd
248--- /dev/null
249+++ b/snap/hooks/configure
250@@ -0,0 +1,47 @@
251+#!/bin/sh
252+#
253+# Copyright (C) 2017 Canonical Ltd
254+#
255+# This program is free software: you can redistribute it and/or modify
256+# it under the terms of the GNU General Public License version 3 as
257+# published by the Free Software Foundation.
258+#
259+# This program is distributed in the hope that it will be useful,
260+# but WITHOUT ANY WARRANTY; without even the implied warranty of
261+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
262+# GNU General Public License for more details.
263+#
264+# You should have received a copy of the GNU General Public License
265+# along with this program. If not, see <http://www.gnu.org/licenses/>.
266+
267+set -x
268+
269+# The 'automatic-setup.disabled' option is only meant to be used from
270+# a gadget snap to prevent the wizard from running when the snap is
271+# being installed. As the configure hook will be called before the
272+# services are being started we can easily create an empty
273+# configuration to fall back to the default one for everything.
274+value=`snapctl get automatic-setup.disable`
275+if [ -n "$value" ]; then
276+ case "$value" in
277+ true)
278+ touch $SNAP_COMMON/.block_auto_wizard
279+ ;;
280+ false)
281+ rm $SNAP_COMMON/.block_auto_wizard || true
282+ ;;
283+ *)
284+ echo "ERROR: invalid value '$value' provided for automatic-setup.disable"
285+ exit 1
286+ esac
287+else
288+ # If no value provided set up our default
289+ snapctl set automatic-setup.disable=false
290+fi
291+
292+# If we haven't marked ourself as setup yet after the snap was installed
293+# we do this now so that the already started management service can
294+# continue doing its job.
295+if [ ! -e $SNAP_COMMON/.setup_done ]; then
296+ touch $SNAP_COMMON/.setup_done
297+fi
298diff --git a/snapcraft.yaml b/snapcraft.yaml
299index 402b666..e6ca422 100644
300--- a/snapcraft.yaml
301+++ b/snapcraft.yaml
302@@ -45,16 +45,10 @@ apps:
303 - network
304
305 parts:
306- hooks:
307- plugin: dump
308- source: hooks
309- organize:
310- configure: meta/hooks/configure
311-
312 common:
313 plugin: dump
314 source: .
315- snap:
316+ prime:
317 - copyright.hostapd
318 - bin/config-internal.sh
319 - bin/ap.sh
320@@ -73,26 +67,21 @@ parts:
321 binaries:
322 - bin/iw
323 - bin/iwconfig
324- snap:
325+ prime:
326 - $binaries
327
328- client:
329- plugin: go
330- source: cmd/client
331- snap:
332- - bin
333- build-packages:
334- - golang-go-flags-dev
335- - golang-github-gorilla-mux-dev
336-
337 service:
338 plugin: go
339- source: cmd/service
340- snap:
341+ source: .
342+ go-importpath: launchpad.net/wifi-ap
343+ prime:
344 - bin
345- build-packages:
346- - golang-github-gorilla-mux-dev
347- - golang-gopkg-tomb.v2-dev
348+ install: |
349+ export GOPATH=$PWD/../go
350+ for d in client service ; do
351+ cd $GOPATH/src/launchpad.net/wifi-ap/cmd/$d
352+ go test -v
353+ done
354
355 dnsmasq:
356 plugin: make
357@@ -108,8 +97,9 @@ parts:
358 filesets:
359 binaries:
360 - bin/dnsmasq
361- snap:
362+ prime:
363 - $binaries
364+
365 hostapd:
366 plugin: make
367 source: https://git.launchpad.net/~snappy-hwe-team/snappy-hwe-snaps/+git/wifi-ap
368@@ -128,8 +118,9 @@ parts:
369 binaries:
370 - bin/hostapd
371 - bin/hostapd_cli
372- snap:
373+ prime:
374 - $binaries
375+
376 hostapd-rtl8188:
377 plugin: make
378 source: https://git.launchpad.net/~snappy-hwe-team/snappy-hwe-snaps/+git/wifi-ap
379@@ -147,8 +138,9 @@ parts:
380 filesets:
381 binaries:
382 - rtl8188/hostapd
383- snap:
384+ prime:
385 - $binaries
386+
387 nmcli:
388 plugin: nil
389 stage-packages:
390diff --git a/tests/image/README.md b/tests/image/README.md
391deleted file mode 100644
392index b75b66e..0000000
393--- a/tests/image/README.md
394+++ /dev/null
395@@ -1,7 +0,0 @@
396-# Generate user password
397-
398-You can generate the password for the system user assertion via
399-
400-```
401- $ python3 -c 'import crypt; print(crypt.crypt("test", crypt.mksalt(crypt.METHOD_SHA512)))'
402-```
403diff --git a/tests/image/create-image.sh b/tests/image/create-image.sh
404deleted file mode 100755
405index 746f678..0000000
406--- a/tests/image/create-image.sh
407+++ /dev/null
408@@ -1,150 +0,0 @@
409-#!/bin/bash
410-#
411-# Copyright (C) 2016 Canonical Ltd
412-#
413-# This program is free software: you can redistribute it and/or modify
414-# it under the terms of the GNU General Public License version 3 as
415-# published by the Free Software Foundation.
416-#
417-# This program is distributed in the hope that it will be useful,
418-# but WITHOUT ANY WARRANTY; without even the implied warranty of
419-# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
420-# GNU General Public License for more details.
421-#
422-# You should have received a copy of the GNU General Public License
423-# along with this program. If not, see <http://www.gnu.org/licenses/>.
424-
425-set -e
426-
427-if [ $(id -u) -ne 0 ] ; then
428- echo "ERROR: needs to be executed as root"
429- exit 1
430-fi
431-
432-channel=candidate
433-if [ ! -z "$1" ] ; then
434- channel=$1
435-fi
436-
437-snap=
438-if [ ! -z "$2" ] ; then
439- snap=$2
440-fi
441-
442-model=pc
443-arch=amd64
444-image_name=ubuntu-core-16.img
445-ubuntu_image_extra_args=
446-
447-if [ ! -z "$snap" ] ; then
448- ubuntu_image_extra_args="--extra-snaps $snap"
449-fi
450-
451-snap download --stable pc
452-
453-ubuntu-image \
454- --channel $channel \
455- --extra-snaps pc_*.snap \
456- -o $image_name \
457- --image-size 4G \
458- $ubuntu_image_extra_args \
459- $model.model
460-
461-kpartx -a $image_name
462-sleep 0.5
463-
464-loop_path=`findfs LABEL=writable`
465-tmp_mount=`mktemp -d`
466-
467-mount $loop_path $tmp_mount
468-
469-# Migrate all systemd units from core snap into the writable area. This
470-# would be normally done on firstboot by the initramfs but we can't rely
471-# on that because we are adding another file in there and that will
472-# prevent the initramfs from transitioning any files.
473-core_snap=$(find $tmp_mount/system-data/var/lib/snapd/snaps -name "core_*.snap")
474-tmp_core=`mktemp -d`
475-mount $core_snap $tmp_core
476-mkdir -p $tmp_mount/system-data/etc/systemd
477-cp -rav $tmp_core/etc/systemd/* \
478- $tmp_mount/system-data/etc/systemd/
479-umount $tmp_core
480-rm -rf $tmp_core
481-
482-# system-user assertion which gives us our test:test user we use to
483-# log into the system
484-mkdir -p $tmp_mount/system-data/var/lib/snapd/seed/assertions
485-cp test-user.assertion $tmp_mount/system-data/var/lib/snapd/seed/assertions
486-
487-# Disable console-conf for the first boot
488-mkdir -p $tmp_mount/system-data/var/lib/console-conf/
489-touch $tmp_mount/system-data/var/lib/console-conf/complete
490-
491-# Create systemd service which is running on firstboot and sets up
492-# various things for us.
493-mkdir -p $tmp_mount/system-data/etc/systemd/system
494-cat << 'EOF' > $tmp_mount/system-data/etc/systemd/system/devmode-firstboot.service
495-[Unit]
496-Description=Run devmode firstboot setup
497-After=snapd.service snapd.socket
498-
499-[Service]
500-Type=oneshot
501-ExecStart=/writable/system-data/var/lib/devmode-firstboot/run.sh
502-RemainAfterExit=yes
503-TimeoutSec=3min
504-EOF
505-
506-mkdir -p $tmp_mount/system-data/etc/systemd/system/multi-user.target.wants
507-ln -sf /etc/systemd/system/devmode-firstboot.service \
508- $tmp_mount/system-data/etc/systemd/system/multi-user.target.wants/devmode-firstboot.service
509-
510-mkdir $tmp_mount/system-data/var/lib/devmode-firstboot
511-cat << 'EOF' > $tmp_mount/system-data/var/lib/devmode-firstboot/run.sh
512-#!/bin/bash
513-
514-set -e
515-
516-# Don't start again if we're already done
517-if [ -e /writable/system-data/var/lib/devmode-firstboot/complete ] ; then
518- exit 0
519-fi
520-
521-echo "Start devmode-firstboot $(date -Iseconds --utc)"
522-
523-if [ "$(snap managed)" = "true" ]; then
524- echo "System already managed, exiting"
525- exit 0
526-fi
527-
528-# no changes at all
529-until snap changes ; do
530- echo "No changes yet, waiting"
531- sleep 1
532-done
533-
534-while snap changes | grep -qE '(Do|Doing) .*Initialize system state' ; do
535- echo "Initialize system state is in progress, waiting"
536- sleep 1
537-done
538-
539-if [ -n "$(snap known system-user)" ]; then
540- echo "Trying to create known user"
541- snap create-user --known --sudoer
542-fi
543-
544-# Enable console-conf again
545-rm /writable/system-data/var/lib/console-conf/complete
546-
547-# Mark us done
548-touch /writable/system-data/var/lib/devmode-firstboot/complete
549-
550-# Reboot the system as its now prepared for the user
551-reboot
552-EOF
553-
554-chmod +x $tmp_mount/system-data/var/lib/devmode-firstboot/run.sh
555-
556-umount $tmp_mount
557-kpartx -d $image_name
558-rm -rf $tmp_mount
559diff --git a/tests/image/pc-model.json b/tests/image/pc-model.json
560deleted file mode 100644
561index 2eb1411..0000000
562--- a/tests/image/pc-model.json
563+++ /dev/null
564@@ -1,11 +0,0 @@
565-{
566- "type": "model",
567- "authority-id": "4BKZlf4WMNBKgQfij0rftmp5BzDdVhlf",
568- "brand-id": "4BKZlf4WMNBKgQfij0rftmp5BzDdVhlf",
569- "series": "16",
570- "model": "pc",
571- "architecture": "amd64",
572- "gadget": "pc",
573- "kernel": "pc-kernel",
574- "timestamp": "2016-09-09T08:27:36+00:00"
575-}
576diff --git a/tests/image/pc.model b/tests/image/pc.model
577deleted file mode 100644
578index 345b7e4..0000000
579--- a/tests/image/pc.model
580+++ /dev/null
581@@ -1,21 +0,0 @@
582-type: model
583-authority-id: 4BKZlf4WMNBKgQfij0rftmp5BzDdVhlf
584-series: 16
585-brand-id: 4BKZlf4WMNBKgQfij0rftmp5BzDdVhlf
586-model: pc
587-architecture: amd64
588-gadget: pc
589-kernel: pc-kernel
590-timestamp: 2016-09-09T08:27:36+00:00
591-sign-key-sha3-384: a4qX7md6GQGNcZc_cmWPBStTq4RNCnGTzF-4usF5wFylQ-xZQej-SD6prx8Yl89O
592-
593-AcLBXAQAAQoABgUCWBBNTwAKCRAVoE002xqmOPH/EACWLf1UeZgICjNbzLI5bO/84LExS8iUjarG
594-S7DRn8Ln5zu44pxz7UXJNjULgnU8yuKVPVWg0ij7DRvaj8tGxOMMAls1fjSRtEYR8oJFsI3jXDGw
595-cLjvJG/crUxV8DgdZFlF02Kb5VtmNDXs1OE3zpPeniG19JYHaf2hDz4SRmWZe4c2MFrAt2UwI/VC
596-o/209Fl3qA8p8x5EYOBycgHooHm3924NTF9mXbKSfLRgGS7YzmN4FXFyiGOTY6CRsp37XnkxGcA1
597-+lyZz1X97qT/fOGVUFqHDqUZmuCs5sC3+DNonytTgKt5+7S+V+Ai45HEayD5f4gS9uscnTMTwEEJ
598-VgSZRU0My+iJwFlXHaGWQe9eC37YCZ3ahBxc2SpkFffXjYhEMtTtr1vDIYCAhbc2k8aa3hPE2GUg
599-3pv8zs1AuZzSVX+Rp4ysMBqU23UUVP6Bmvr7ZD3E8aEUxE6O/BEA10Km5oZPqpmBfcEVO8a0yZjn
600-YQxn4XzY1Nwq1d0sJIV7FEDsq9dXH9QCa4qsCH3KG3jHv32GapvLf8mpr6HSH+JmPM5kNeVugLVy
601-/RUAFNu+Y4hqhpRNC8fc+UDkVBXsLDqHb5gfXnhbFIH8LvpVFR20SSkg9/Km5xC+7wcey0h8SD6/
602-Eh70OPLxDkzitEn/1L/0V987dlJnhS4WpqrYfbHYwQ==
603diff --git a/tests/image/test-user-assertion.json b/tests/image/test-user-assertion.json
604deleted file mode 100644
605index 81f6beb..0000000
606--- a/tests/image/test-user-assertion.json
607+++ /dev/null
608@@ -1,13 +0,0 @@
609-{
610- "type": "system-user",
611- "authority-id": "4BKZlf4WMNBKgQfij0rftmp5BzDdVhlf",
612- "brand-id": "4BKZlf4WMNBKgQfij0rftmp5BzDdVhlf",
613- "series": ["16"],
614- "models": ["pc"],
615- "name": "Default Test User",
616- "username": "test",
617- "email": "test@localhost",
618- "password": "$6$OCvKy4w/Ppxp7IvC$WPzWiIW.4y18h9htjbOuxLZ.sjQ5M2hoSiEu3FpMU0PMdHQuQdBOqvk8p6DMdS/R/nU/rXidClD23CbSkSgp30",
619- "since": "2016-10-24T07:12:10+00:00",
620- "until": "2017-10-24T07:12:10+00:00"
621-}
622diff --git a/tests/image/test-user.assertion b/tests/image/test-user.assertion
623deleted file mode 100644
624index 7ebb667..0000000
625--- a/tests/image/test-user.assertion
626+++ /dev/null
627@@ -1,25 +0,0 @@
628-type: system-user
629-authority-id: 4BKZlf4WMNBKgQfij0rftmp5BzDdVhlf
630-brand-id: 4BKZlf4WMNBKgQfij0rftmp5BzDdVhlf
631-email: test@localhost
632-models:
633- - pc
634-name: Default Test User
635-password: $6$OCvKy4w/Ppxp7IvC$WPzWiIW.4y18h9htjbOuxLZ.sjQ5M2hoSiEu3FpMU0PMdHQuQdBOqvk8p6DMdS/R/nU/rXidClD23CbSkSgp30
636-series:
637- - 16
638-since: 2016-10-24T07:12:10+00:00
639-until: 2017-10-24T07:12:10+00:00
640-username: test
641-sign-key-sha3-384: a4qX7md6GQGNcZc_cmWPBStTq4RNCnGTzF-4usF5wFylQ-xZQej-SD6prx8Yl89O
642-
643-AcLBXAQAAQoABgUCWBBOJAAKCRAVoE002xqmOKaRD/0cEKWb2nbwhk+BTgOrYZHrwzjbIWTZznDh
644-xCD6JWF/yr9br1vEmRz2zCNPPWZgFH9HaJ+mT/lktWIs7VVMIdwMDWYOR8P9rdWM/Jx6iyB3z0OI
645-YO31zaU4XLyolv/YSj/nFXMMD+jIeE4l8j4AtCSJwd7ZS9Jz8F/RfrD8EpG0JU1F55lq8MC0mjZ4
646-ul5ws8k9UiP8nA5IAG30NvvReiUGYqtdkO43eQmy88WABL95MbFsbfEk4/VduG0Gt3y/T8vDDcF6
647-NJEm8L+O9IXnPBAje0Ve0NX3YtOE3CDTkYRKR7xFFJq2cJVCSvf9CsorREg4KyfagIdMKDSa5Tiq
648-FzoAJTfI0ltq5cAnLImtxFKulJ+AnGUNMLrKFr1H0FGtqTZBfs/PcIxy0qY0YDXSF4/9F2PUBdQS
649-tSmN6pT9t1FCGy2Rf5n3QV4e0R2JzS6Kx+vdbPMYqhssQosLU5GwlWj8UbevtphAGf8u8nLBDYWs
650-MNIPi0IrPmzIewZBD05A6a8T+oHZ9dIg5SAnJ4gmz0sCzNDKarvYqLpcU1rZzu78/UypbHXDvBAt
651-gnxYpD6WHR2aHSeyx3WvOp130jFco2/55M0RTEm50isO1uv2DqTn9ULkBdCrG/zOqEmZgY18ds3P
652-yTaAbaIAqUe7scpAHY0a31tfnXq8cRyEX03e9g2Mrg==

Subscribers

People subscribed via source and target branches

to all changes: